<!DOCTYPE html>
<html>
<head>
    <title>Super donateur</title>
</head>
<body>
    <h1>Super Don@teur</h1>
    <form id="myForm">
        <label for="amount">Montant (0.50 &lt; amount &lt; 50000):</label>
        <input type="number" id="amount" name="amount" min="0.50" max="50000" step="0.01" required><br><br>

        <input type="submit" value="Submit">
    </form>

    <script>
        const form = document.getElementById('myForm');

        form.addEventListener('submit', async function(event) {
            event.preventDefault();

            const formData = new FormData(form);
            const requestBody = {};
            formData.forEach((value, key) => {
                requestBody[key] = value;
            });

            // if url has /don/*, then * is the streamer name
            const streamerName = window.location.pathname.split('/')[2];
            requestBody.streamer = streamerName;

            // make sure amount is a number
            requestBody.amount = parseFloat(requestBody.amount);

            // 10.00 => 1000, 10.050054 => 1005
            requestBody.amount = requestBody.amount.toFixed(2);
            requestBody.amount = requestBody.amount * 100;
            requestBody.amount = parseInt(requestBody.amount);

            const response = await fetch('/api/form', {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json'
                },
                body: JSON.stringify(requestBody)
            });

            if (response.ok) {
                const responseData = await response.json();
                // Redirect to the URL sent by the backend
                window.location.href = responseData.redirectUrl;
            } else {
                console.error('Error submitting the form');
            }
        });
    </script>
</body>
</html>
